import { EditorState, Transaction } from 'prosemirror-state';
import { Editor } from './Editor';
import { SingleCommands, ChainedCommands, CanCommands, CommandSpec } from './types';
export default class CommandManager {
    editor: Editor;
    commands: {
        [key: string]: any;
    };
    methodNames: string[];
    constructor(editor: Editor);
    /**
     * Register a command.
     *
     * @param name The name of your command
     * @param callback The method of your command
     */
    registerCommand(name: string, callback: CommandSpec): Editor;
    createCommands(): SingleCommands;
    createChain(startTr?: Transaction, shouldDispatch?: boolean): ChainedCommands;
    createCan(startTr?: Transaction): CanCommands;
    buildProps(tr: Transaction, shouldDispatch?: boolean): {
        tr: Transaction<any>;
        editor: Editor;
        view: import("prosemirror-view").EditorView<any>;
        state: EditorState<any>;
        dispatch: (() => undefined) | undefined;
        chain: () => ChainedCommands;
        can: () => CanCommands;
        readonly commands: {
            [k: string]: (...args: any[]) => any;
        };
    };
    chainableState(tr: Transaction, state: EditorState): EditorState;
}
