import { Extension } from '../Extension';
import * as splitBlock from '../commands/splitBlock';
export declare const Commands: Extension<unknown, {
    wrapInList: (typeOrName: string | import("prosemirror-model").NodeType<any>, attrs?: {} | undefined) => import("@tiptap/core").Command;
    wrapIn: (typeOrName: string | import("prosemirror-model").NodeType<any>, attributes?: {}) => import("@tiptap/core").Command;
    updateNodeAttributes: (typeOrName: string | import("prosemirror-model").NodeType<any>, attributes: {}) => import("@tiptap/core").Command;
    unsetMark: (typeOrName: string | import("prosemirror-model").MarkType<any>) => import("@tiptap/core").Command;
    unsetAllMarks: () => import("@tiptap/core").Command;
    undoInputRule: () => import("@tiptap/core").Command;
    toggleWrap: (typeOrName: string | import("prosemirror-model").NodeType<any>, attributes?: {}) => import("@tiptap/core").Command;
    toggleNode: (typeOrName: string | import("prosemirror-model").NodeType<any>, toggleTypeOrName: string | import("prosemirror-model").NodeType<any>, attrs?: {}) => import("@tiptap/core").Command;
    toggleMark: (typeOrName: string | import("prosemirror-model").MarkType<any>, attributes?: {} | undefined) => import("@tiptap/core").Command;
    toggleList: (listTypeOrName: string | import("prosemirror-model").NodeType<any>, itemTypeOrName: string | import("prosemirror-model").NodeType<any>) => import("@tiptap/core").Command;
    splitListItem: (typeOrName: string | import("prosemirror-model").NodeType<any>) => import("@tiptap/core").Command;
    splitBlock: (options?: Partial<splitBlock.SplitBlockOptions>) => import("@tiptap/core").Command;
    sinkListItem: (typeOrName: string | import("prosemirror-model").NodeType<any>) => import("@tiptap/core").Command;
    setNode: (typeOrName: string | import("prosemirror-model").NodeType<any>, attrs?: {}) => import("@tiptap/core").Command;
    setMark: (typeOrName: string | import("prosemirror-model").MarkType<any>, attributes?: {} | undefined) => import("@tiptap/core").Command;
    setContent: (content: string, emitUpdate?: Boolean, parseOptions?: {}) => import("@tiptap/core").Command;
    selectParentNode: () => import("@tiptap/core").Command;
    selectNodeForward: () => import("@tiptap/core").Command;
    selectNodeBackward: () => import("@tiptap/core").Command;
    selectAll: () => import("@tiptap/core").Command;
    scrollIntoView: () => import("@tiptap/core").Command;
    resetNodeAttributes: (typeOrName: string | import("prosemirror-model").NodeType<any>, attributes: string | string[]) => import("@tiptap/core").Command;
    replaceRange: (range: import("@tiptap/core").Range, typeOrName: string | import("prosemirror-model").NodeType<any>, attributes?: import("@tiptap/core").AnyObject) => import("@tiptap/core").Command;
    replace: (typeOrName: string | import("prosemirror-model").NodeType<any>, attributes?: import("@tiptap/core").AnyObject) => import("@tiptap/core").Command;
    newlineInCode: () => import("@tiptap/core").Command;
    liftListItem: (typeOrName: string | import("prosemirror-model").NodeType<any>) => import("@tiptap/core").Command;
    liftEmptyBlock: () => import("@tiptap/core").Command;
    lift: (typeOrName: string | import("prosemirror-model").NodeType<any>, attributes?: {}) => import("@tiptap/core").Command;
    joinForward: () => import("@tiptap/core").Command;
    joinBackward: () => import("@tiptap/core").Command;
    insertText: (value: string) => import("@tiptap/core").Command;
    insertHTML: (value: string) => import("@tiptap/core").Command;
    focus: (position?: import("@tiptap/core").FocusPosition) => import("@tiptap/core").Command;
    first: (commands: import("@tiptap/core").Command[] | ((props: {
        editor: import("@tiptap/core").Editor;
        tr: import("prosemirror-state").Transaction<any>;
        commands: import("@tiptap/core").SingleCommands;
        can: () => import("@tiptap/core").CanCommands;
        chain: () => import("@tiptap/core").ChainedCommands;
        state: import("prosemirror-state").EditorState<any>;
        view: import("prosemirror-view").EditorView<any>;
        dispatch: ((args?: any) => any) | undefined;
    }) => import("@tiptap/core").Command[])) => import("@tiptap/core").Command;
    extendMarkRange: (typeOrName: string | import("prosemirror-model").MarkType<any>) => import("@tiptap/core").Command;
    exitCode: () => import("@tiptap/core").Command;
    deleteSelection: () => import("@tiptap/core").Command;
    deleteRange: (range: import("@tiptap/core").Range) => import("@tiptap/core").Command;
    createParagraphNear: () => import("@tiptap/core").Command;
    command: (fn: (props: {
        editor: import("@tiptap/core").Editor;
        tr: import("prosemirror-state").Transaction<any>;
        commands: import("@tiptap/core").SingleCommands;
        can: () => import("@tiptap/core").CanCommands;
        chain: () => import("@tiptap/core").ChainedCommands;
        state: import("prosemirror-state").EditorState<any>;
        view: import("prosemirror-view").EditorView<any>;
        dispatch: ((args?: any) => any) | undefined;
    }) => boolean) => import("@tiptap/core").Command;
    clearNodes: () => import("@tiptap/core").Command;
    clearContent: (emitUpdate?: Boolean) => import("@tiptap/core").Command;
    blur: () => import("@tiptap/core").Command;
}>;
declare module '@tiptap/core' {
    interface AllExtensions {
        Commands: typeof Commands;
    }
}
